Package com.xebialabs.xlrelease.domain.variables

## Class BooleanVariable

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.BaseConfiguration
    - - com.xebialabs.xlrelease.domain.variables.Variable
      - - com.xebialabs.xlrelease.domain.variables.Variable.VariableWithValue<java.lang.Boolean>
        - - com.xebialabs.xlrelease.domain.variables.BooleanVariable

- All Implemented Interfaces:
    `ConfigurationItem`, `VisitableItem`, `java.io.Serializable`, `java.lang.Cloneable`, `java.lang.Comparable<BaseConfigurationItem>`

      public class BooleanVariable
      extends Variable.VariableWithValue<java.lang.Boolean>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.xebialabs.xlrelease.domain.variables.Variable

      `Variable.VariableWithValue<V>`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected boolean` | `value` |

    - ### Fields inherited from class com.xebialabs.xlrelease.domain.variables.Variable

      `description, inherited, key, label, requiresValue, showOnReleaseStart, valueProvider`

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BooleanVariable()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Boolean` | `getEmptyValue()` | Returns empty value for the specific sub type.
    `java.lang.String` | `getEmptyValueAsString()` |
    `java.lang.Boolean` | `getValue()` | Gets underlying value of this variable, or default value for templates.
    `java.lang.String` | `getValueAsString()` |
    `boolean` | `isPassword()` |
    `boolean` | `isValueAssignableFrom​(java.lang.Object value)` |
    `boolean` | `isValueEmpty()` | Test if value is unset or empty.
    `void` | `setUntypedValue​(java.lang.Object newValue)` | Sets the underlying value of this variable from given object.
    `void` | `setValue​(java.lang.Boolean value)` |

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.variables.Variable

      `accept, checkFolderVariableValidity, checkGlobalVariableValidity, checkValidity, clone, escapeQuotes, getDescription, getInternalValue, getKey, getLabel, getRequiresValue, getShowOnReleaseStart, getValueProvider, isInherited, setDescription, setInherited, setKey, setLabel, setRequiresValue, setShowOnReleaseStart, setValueProvider`

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseConfiguration

      `getFolderId, getTitle, hasId, setFolderId, setTitle`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### value

          @Property(required=false,
                    description="Value of the release variable or default value of the template variable")
          protected boolean value

  - ### Constructor Detail

    - #### BooleanVariable

          public BooleanVariable()

  - ### Method Detail

    - #### getValue

          public java.lang.Boolean getValue()

      Description copied from class: `Variable`
      Gets underlying value of this variable, or default value for templates. The specific type of value depends on the type of variable.
      Specified by:
        `getValue` in class `Variable.VariableWithValue<java.lang.Boolean>`
      Returns:
        the underlying value of this variable, or default value for templates.

    - #### getEmptyValue

          public java.lang.Boolean getEmptyValue()

      Description copied from class: `Variable`
      Returns empty value for the specific sub type. Empty value is used when replacing unset optional variables.
      Specified by:
        `getEmptyValue` in class `Variable`
      Returns:
        empty value for the specific sub type.

    - #### isValueEmpty

          public boolean isValueEmpty()

      Description copied from class: `Variable`
      Test if value is unset or empty. Rely on the `Variable.getEmptyValue()` implementation.
      Overrides:
        `isValueEmpty` in class `Variable`
      Returns:
        true if value is null or empty.

    - #### setValue

          public void setValue​(java.lang.Boolean value)

      Specified by:
        `setValue` in class `Variable.VariableWithValue<java.lang.Boolean>`

    - #### setUntypedValue

          public void setUntypedValue​(java.lang.Object newValue)

      Description copied from class: `Variable`
      Sets the underlying value of this variable from given object. If a conversion happens to be needed and fails, then an `IllegalArgumentException` will be thrown.
      Specified by:
        `setUntypedValue` in class `Variable`
      Parameters:
        `newValue` - the value to set: either of the type needed by this variable type, or one of convertible types.

    - #### isPassword

          public boolean isPassword()

      Specified by:
        `isPassword` in class `Variable`

    - #### getValueAsString

          public java.lang.String getValueAsString()

      Specified by:
        `getValueAsString` in class `Variable`

    - #### getEmptyValueAsString

          public java.lang.String getEmptyValueAsString()

      Specified by:
        `getEmptyValueAsString` in class `Variable`

    - #### isValueAssignableFrom

          public boolean isValueAssignableFrom​(java.lang.Object value)

      Specified by:
        `isValueAssignableFrom` in class `Variable`